/*
Name: Charlie Pyne
Date: July 2013
Description: Main stylesheet
Version: 1.0
Author: Garry Aylott
Autor URI: http://www.garryaylottdesign.co.uk
*/





/* ==========================================================================
   Reset
   ========================================================================== */
/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

* {
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}





/* ==========================================================================
   Typography
   ========================================================================== */
h1, h2, h3, h4, h5, h6 {
	font-family: 'Lusitana', Georgia, Times, "Times New Roman", serif;
	font-weight: 400;
	font-style: normal;
}

h1 {
	font-size: 60px;
}

h2 {
	font-size: 22px;
}

h3 {
	font-size: 18px;
}

h4 {
	font-size: 16px;
}

p {
	margin-bottom: 20px;
}





/* ==========================================================================
   Global styles
   ========================================================================== */
html {
	height: 100%;
}

body {
	height: 100%;
	background: white url(../img/floralbg_@2X.png);
	background-size: 294px 235px;
	font: 14px/22px Georgia, Times, "Times New Roman", serif;
	color: #484747;
}

img {
	max-width: 100%;
	height: auto;
}

a:link, a:visited, a:active {
	color: #999999;
	text-decoration: none;
	-moz-transition: all .5s linear;
	-webkit-transition: all .05s linear;
	transition: all .05s linear;
}

a:hover {
	color: #333333;
}





/* ==========================================================================
   Content styles
   ========================================================================== */
.container {
	width: 900px;
	background: white;
	border: 2px solid #4e4c4c;
	margin: 70px auto 0 auto;
	position: relative;
	overflow: hidden;
}

.left {
	width: 439px;
	height: 584px;
	float: left;
	position: relative;
	background: url(../img/Charlie_web.jpg);
}

.main-nav {
	position: absolute;
	top: 135px;
	right: 35px;
	font: 20px/30px 'Lusitana', Georgia, Times, "Times New Roman", serif;
	font-weight: 400;
	font-style: normal;
}

	.main-nav a {
		color: white;
	}
	
		.main-nav a:hover {
			color: #6a6a6a;
		}

.right {
	width: 457px;
	float: right;
	text-align: center;
	padding: 0 30px;
	position: relative;
	overflow: hidden;
}

	.right h1 {
		margin: 50px 0 30px 0;
	}
	
	.right h2 {
		margin-bottom: 20px;
	}
	
	.right h3 {
		margin-bottom: 5px;
	}
	
.sound-clip {
	margin-bottom: 18px;
}

.bio, .edu, .links {
	width: 100%;
	height: 390px;
	text-align: left;
	position: relative;
	overflow: auto;
	z-index: 10;
}

.fadein {
	width: 457px;
	position: absolute;
	bottom: 15px;
	right: 0;
	z-index: 100;
}
	
footer {
	width: 900px;
	text-align: center;
	margin: 20px auto 0 auto;	
}





/* ==========================================================================
   Contact form
   ========================================================================== */
#contact {
	display: block;
	width: 400px;
	margin: 30px auto 0 auto;
	text-align: left;
}

#contact p, label {
	font-size: 15px;
	line-height: 30px;
	float: left;
	width: 130px;
}

#contact input, textarea, select { 
	width: 260px;
	margin: 0;
	padding: 5px;
	color: #666;
	background: #f5f5f5;
	border: 1px solid #ccc;
	margin-bottom: 10px;
	font: 15px Georgia, Times, "Times New Roman", serif;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
}

#contact textarea {
	width: 260px;
}

#contact input:focus, textarea:focus, select:focus { 
	border: 1px solid #999;
	background-color: #fff;
	color: #333;
}

#contact input.submit { 
	width: 85px;
	cursor: pointer;
	border: 1px solid #222;
	background: #333333;
	color: #fff;
	margin-left: 130px;
}

#contact input.submit:hover { 
	background: #4a4a4a;
}

#contact input[type="submit"][disabled] {
	background: #888; 
	cursor: pointer;
}

#contact span.required {
	font-size: 13px;
	color: #ff0000;
} /* Select the colour of the * if the field is required. */

#message {
	margin: 10px 0;
	padding: 0;
}

.error_message {
	display: block;
	line-height: 22px;
	background: #FBE3E4 url('../img/error.gif') no-repeat 10px 6px;
	padding: 3px 10px 3px 35px;
	color: #8a1f11;
	border: 1px solid #FBC2C4;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
}

ul.error_messages {
	margin: 0 0 0 15px;
	padding: 0;
}

ul.error_messages li {
	height: 22px;
	line-height: 22px;
	color:#333;
}

.loader { 
	padding: 0 10px;
}

#contact #message #success_page h2 {
	background: url('../img/success.gif') left no-repeat;
	padding-left:22px;
}

#contact #message #success_page p {
	width: 100%;
	line-height: 24px;
}

acronym {
	border-bottom:1px dotted #ccc;
}
	
#menu-button {
	display: none;
	border: 1px solid #FFF;
	background-color: #333;
	color: #FFF;
	font-weight: bold;
	margin: 1em auto 0 auto;
	padding: 0.5em 4em 0.5em 0.5em;
	height: 41.7px;
	position: relative;
	cursor: pointer;
	font-family: 'Lusitana', Georgia, Times, "Times New Roman", serif;
}
	#menu-button svg {
		float: right;
		position: absolute;
		top: 0.5em;
		right: 0.5em;
		width: 2em;
		display: none;
	}
	#menu-button svg.show {
		display: block;
	}


/* ==========================================================================
   Responsive CSS
   ========================================================================== */
	
@media only screen and (max-width: 900px) {
	.container {
		width: auto;
		height: auto;
		margin: 1rem;
	}
	h1 {
		line-height: 60px;
	}
	.left, .right {
		float: none;
		width: auto;
	}
	.left {
		display: none;
		opacity: 0;
		transition: opacity 0.3s;
		background-size: cover;
	}
	.left.show {
		display: block;
		opacity: 1;
	}
	.right {
		height: auto;
	}
	footer {
		width: auto;
	}
	#menu-button {
		display: block;
	}
}











